# Version SVN: $Id: schema.yml 30 2013-08-11 10:10:36Z sven.poeche $
propel:
  _attributes:              { package: plugins.stVimeoImportPlugin.lib.model }

  media_vimeo:
    _attributes:            { phpName: MediaVimeo, allowPkInsert: true }
    mid:                    { type: integer, size:   11, required: true, primaryKey: true }
    vimeo:                  { type: varchar, size: 1024, required: true }
    id:                     { type: varchar, size:  255, required: true }
    title:                  { type: varchar, size:  255 }
    description:            { type: longvarchar }
    keywords:               { type: longvarchar }
    thumbnail:              { type: varchar, size: 1024 }
    url:                    { type: varchar, size: 1024 }
    duration:               { type: integer, size:   11 }
    owner:                  { type: varchar, size:  255 }
    created_at:             { type: timestamp, required: true }
    updated_at:             { type: timestamp, required: true }
    _foreignKeys:
      mvi_fk_mid:           { foreignTable: media, references: [ {local: mid, foreign: mid} ] }
    _indexes:
      mvi_i_id:             [id]
